Functions | Variables

# watch_gui.cpp File Reference

GUI that follow other company building. More...

`#include "stdafx.h"`
`#include "watch_gui.h"`
`#include "widget_type.h"`
`#include "gfx_type.h"`
`#include "gfx_func.h"`
`#include "company_base.h"`
`#include "company_gui.h"`
`#include "viewport_func.h"`
`#include "window_func.h"`
`#include "strings_func.h"`
`#include "zoom_func.h"`
`#include "map_func.h"`
`#include "network/network.h"`
`#include "network/network_func.h"`
`#include "network/network_base.h"`
`#include "table/sprites.h"`
`#include "table/strings.h"`

Go to the source code of this file.

## Functions
static NWidgetBase * | MakeCompanyButtons (int *biggest_index)
| Make the widgets columns for company button, has_client and activity Blot.
void | ShowWatchWindow (CompanyID company_to_watch=INVALID_COMPANY)
## Variables
static const NWidgetPart | _nested_watch_company_widgets []
| Watch Company Window Widgets Array The Company Button, Has Client Blot and Activity Blot Columns Are made through a function regarding MAX_COMPANIES value.
static const WindowDesc | _watch_company_desc (WDP_AUTO, 300, 257, WC_WATCH_COMPANY, WC_NONE, WDF_UNCLICK_BUTTONS, _nested_watch_company_widgets, lengthof(_nested_watch_company_widgets))
| Watch Company Window Descriptor.

## Detailed Description

GUI that follow other company building.

Definition in file watch_gui.cpp.

## Function Documentation

static NWidgetBase* MakeCompanyButtons | ( | int * | biggest_index | ) | `[static]`

Make the widgets columns for company button, has_client and activity Blot.

Parameters:

  | biggest_index | Storage for collecting the biggest index used in the returned tree.

Returns:
  Horizontal container with butons columns.

Postcondition:
  `*biggest_index` contains the largest used index in the tree.

Definition at line 30 of file watch_gui.cpp.

References NWidgetContainer::Add(), COMPANY_FIRST, GetSpriteSize(), NWidgetCore::SetDataTip(), NWidgetResizeBase::SetFill(), NWidgetResizeBase::SetMinimalSize(), NWidgetResizeBase::SetResize(), WD_MATRIX_BOTTOM, WD_MATRIX_LEFT, WD_MATRIX_TOP, and WWT_PANEL.